<script>
    var requireJS = [];
    loadJS(requireJS, "js/common.js");
    loadJS(requireJS, '/js/switchery.min.js');
    loadCSS('/css/switchery.min.css');
    loadJS(requireJS, "js/views/speed.js");

</script>
<div class="page-title">
    <div class="title_left">
        <h3 th:text="#{speedBonusAdministration}">Administracion Speed Bonus</h3>
    </div>
</div>

<div class="clearfix"></div>

<div class="row">

    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="x_panel">
            <div class="x_title">

                <div class="well" style="overflow: auto">
                    <div class="col-md-12">
                        <!--<input type="text" th:value="${q}" placeholder="Buscar..." name="q" id="q"/>
                            Desde:
                            <input type="date" th:value="${from}" placeholder="Desde" name="from" id="from"/>
                            Hasta:
                            <input type="date" th:value="${to}" placeholder="Hasta" name="to" id="to"/>
                            Registros:
                            <select name="size" id="size">
                                <option th:selected="${size == null || (size != null && size == '20')}" value="20">20</option>
                                <option th:selected="${size != null && size == '50'}" value="50">50</option>
                                <option th:selected="${size != null && size == '100'}" value="100">100</option>
                                <option th:selected="${size != null && size == '500'}" value="500">500</option>
                                <option th:selected="${size != null && size == '1000'}" value="1000">1000</option>
                            </select>
                            &nbsp;-->
                        <button class="btn btn-info btn-sm" id="search-button" style="display: none;"><i class="fa fa-search"></i> Buscar</button>
                        <button class="btn btn-info btn-sm action-button" id="asign-speed"><i class="fa fa-bolt"></i>&nbsp;
                            <!--                            <span th:text="#{toAssign}">Asignar</span>-->
                            Asignar
                        </button>
                    </div>
                </div>
                <div class="clearfix"></div>
            </div>

            <div>

                <div class="col-lg-3 col-md-3 col-sm-6 col-xs-12" th:each="item : ${page.content}">
                    <div class="tile-stats">                        

                        <div align="right" style="padding-top: 8px">
                            <button class="btn btn-success btn-sm action-button" id="edit-speed" th:attr="data-id=${item.id},data-name=${item.name}">
                                <i class="fa fa-pencil" title='Editar speed'></i> Editar
                            </button>
                        </div>

                        <div class="count" th:text="${item.name}">Nombre</div>
                        <p>Id: <span th:text="${item.id}"></span></p>
                        <p>
                            <span th:text="#{countryName}">Pais:</span>&nbsp;
                            <span th:if="${item.country != null}" th:text="${item.country}"></span>
                            <span th:if="${item.country == null}">N/A</span>
                        </p>
                        <p><span th:text="#{excludeCustomerStatus}">Excluir condición de clientes:</span>&nbsp;
                            <span th:if="${item.excludeClientCount}" class="label label-success" th:text="#{yes}">Si</span>                                            
                            <span th:if="${!item.excludeClientCount}" class="label label-danger" th:text="#{no}">No</span>          
                        </p>
                        <p><span th:text="#{since}">Desde:</span>&nbsp;<span id="validFrom" th:text="${item.validFrom}"></span>&nbsp;<span th:text="#{until}">Hasta:</span>&nbsp;<span id="validTo" th:text="${item.validTo}"></span></p>
                        <p><span th:text="#{durationDate}">Duracion (fecha) :</span>&nbsp;<span id="durationTo" th:text="${item.durationTo}"></span> - <span id="durationToFounder" th:text="${item.durationToFounder}"></span></p>
                        <p><span th:text="#{durationDays}">Duracion (dias) :</span>&nbsp;<span th:text="${item.durationDays}"></span> - <span th:text="${item.durationDaysFounder}"></span></p>
                        <div>
                            <p><span th:text="#{rankAwards}">Premios por rango:</span>&nbsp;</p>
                            <ul>
                                <li><span th:text="#{rank} + ' 1:'">Rango 1: </span>&nbsp;<span th:text="${item.priceRank1}"></span></li>
                                <li><span th:text="#{rank} + ' 2:'">Rango 2: </span>&nbsp;<span th:text="${item.priceRank2}"></span></li>
                                <li><span th:text="#{rank} + ' 3:'">Rango 3: </span>&nbsp;<span th:text="${item.priceRank3}"></span></li>
                                <li><span th:text="#{rank} + ' 4:'">Rango 4: </span>&nbsp;<span th:text="${item.priceRank4}"></span></li>
                                <li><span th:text="#{rank} + ' 5:'">Rango 5: </span>&nbsp;<span th:text="${item.priceRank5}"></span></li>
                                <li><span th:text="#{rank} + ' 6:'">Rango 6: </span>&nbsp;<span th:text="${item.priceRank6}"></span></li>
                                <li><span th:text="#{rank} + ' 7:'">Rango 7: </span>&nbsp;<span th:text="${item.priceRank7}"></span></li>
                                <li><span th:text="#{rank} + ' 8:'">Rango 8: </span>&nbsp;<span th:text="${item.priceRank8}"></span></li>
                                <li><span th:text="#{rank} + ' 9:'">Rango 9: </span>&nbsp;<span th:text="${item.priceRank9}"></span></li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>            
        </div>
        <div th:replace="frags/pagination :: paginationbar"></div>
    </div>
</div>
